<template>
  <b-col class="col-3 align-self-center">
    <div class="card" v-bind:class="{selected: isSelected}" style="width: 18rem;">
      <img class="card-img-top" src="../../assets/img/rails.png" :alt="article.reference">
      <b-badge variant="light" class="article-price">&euro; {{article.unit_price}} <small>p/m</small></b-badge>
      <div class="card-body">
        <h5 class="card-title">
          <strong>{{article.name}}</strong>
        </h5>
      </div>
    </div>
  </b-col>
</template>

<script>
export default {
  name: "Article",
  props: {
    questionSetReference: String,
    article: Object,
    isSelected: Boolean
  }
}
</script>

<style scoped>
.selected {
  border-color: green;
  background-color: #e1efe1;
}
.article-price {
  position: absolute;
  background: white;
  height: 1.75rem;
  top: 1rem;
  right: 1.5rem;
  text-align: center;
  font-size: 1.2rem;
  border-radius: 20px;
  color: black;
  box-shadow: 0 0 15px 7px white;
}
</style>
